package js {

[Native("CSS2Properties|MSStyleCSSProperties")]
public interface CSS2Properties {
  function getPropertyValue(propertyName:String):String;

  function get cssText():String;

  function set cssText(value:String):void;

  function get azimuth():String;

  function set azimuth(value:String):void;

  function get background():String;

  function set background(value:String):void;

  function get backgroundAttachment():String;

  function set backgroundAttachment(value:String):void;

  function get backgroundColor():String;

  function set backgroundColor(value:String):void;

  function get backgroundImage():String;

  function set backgroundImage(value:String):void;

  function get backgroundPosition():String;

  function set backgroundPosition(value:String):void;

  function get backgroundRepeat():String;

  function set backgroundRepeat(value:String):void;

  function get border():String;

  function set border(value:String):void;

  function get borderCollapse():String;

  function set borderCollapse(value:String):void;

  function get borderColor():String;

  function set borderColor(value:String):void;

  function get borderSpacing():String;

  function set borderSpacing(value:String):void;

  function get borderStyle():String;

  function set borderStyle(value:String):void;

  function get borderTop():String;

  function set borderTop(value:String):void;

  function get borderRight():String;

  function set borderRight(value:String):void;

  function get borderBottom():String;

  function set borderBottom(value:String):void;

  function get borderLeft():String;

  function set borderLeft(value:String):void;

  function get borderTopColor():String;

  function set borderTopColor(value:String):void;

  function get borderRightColor():String;

  function set borderRightColor(value:String):void;

  function get borderBottomColor():String;

  function set borderBottomColor(value:String):void;

  function get borderLeftColor():String;

  function set borderLeftColor(value:String):void;

  function get borderTopStyle():String;

  function set borderTopStyle(value:String):void;

  function get borderRightStyle():String;

  function set borderRightStyle(value:String):void;

  function get borderBottomStyle():String;

  function set borderBottomStyle(value:String):void;

  function get borderLeftStyle():String;

  function set borderLeftStyle(value:String):void;

  function get borderTopWidth():String;

  function set borderTopWidth(value:String):void;

  function get borderRightWidth():String;

  function set borderRightWidth(value:String):void;

  function get borderBottomWidth():String;

  function set borderBottomWidth(value:String):void;

  function get borderLeftWidth():String;

  function set borderLeftWidth(value:String):void;

  function get borderWidth():String;

  function set borderWidth(value:String):void;

  function get bottom():String;

  function set bottom(value:String):void;

  function get captionSide():String;

  function set captionSide(value:String):void;

  function get clear():String;

  function set clear(value:String):void;

  function get clip():String;

  function set clip(value:String):void;

  function get color():String;

  function set color(value:String):void;

  function get content():String;

  function set content(value:String):void;

  function get counterIncrement():String;

  function set counterIncrement(value:String):void;

  function get counterReset():String;

  function set counterReset(value:String):void;

  function get cue():String;

  function set cue(value:String):void;

  function get cueAfter():String;

  function set cueAfter(value:String):void;

  function get cueBefore():String;

  function set cueBefore(value:String):void;

  function get cursor():String;

  function set cursor(value:String):void;

  function get direction():String;

  function set direction(value:String):void;

  function get display():String;

  function set display(value:String):void;

  function get elevation():String;

  function set elevation(value:String):void;

  function get emptyCells():String;

  function set emptyCells(value:String):void;

  function get cssFloat():String;

  function set cssFloat(value:String):void;

  function get font():String;

  function set font(value:String):void;

  function get fontFamily():String;

  function set fontFamily(value:String):void;

  function get fontSize():String;

  function set fontSize(value:String):void;

  function get fontSizeAdjust():String;

  function set fontSizeAdjust(value:String):void;

  function get fontStretch():String;

  function set fontStretch(value:String):void;

  function get fontStyle():String;

  function set fontStyle(value:String):void;

  function get fontVariant():String;

  function set fontVariant(value:String):void;

  function get fontWeight():String;

  function set fontWeight(value:String):void;

  function get height():String;

  function set height(value:String):void;

  function get left():String;

  function set left(value:String):void;

  function get letterSpacing():String;

  function set letterSpacing(value:String):void;

  function get lineHeight():String;

  function set lineHeight(value:String):void;

  function get listStyle():String;

  function set listStyle(value:String):void;

  function get listStyleImage():String;

  function set listStyleImage(value:String):void;

  function get listStylePosition():String;

  function set listStylePosition(value:String):void;

  function get listStyleType():String;

  function set listStyleType(value:String):void;

  function get margin():String;

  function set margin(value:String):void;

  function get marginTop():String;

  function set marginTop(value:String):void;

  function get marginRight():String;

  function set marginRight(value:String):void;

  function get marginBottom():String;

  function set marginBottom(value:String):void;

  function get marginLeft():String;

  function set marginLeft(value:String):void;

  function get markerOffset():String;

  function set markerOffset(value:String):void;

  function get marks():String;

  function set marks(value:String):void;

  function get maxHeight():String;

  function set maxHeight(value:String):void;

  function get maxWidth():String;

  function set maxWidth(value:String):void;

  function get minHeight():String;

  function set minHeight(value:String):void;

  function get minWidth():String;

  function set minWidth(value:String):void;

  function get orphans():String;

  function set orphans(value:String):void;

  function get outline():String;

  function set outline(value:String):void;

  function get outlineColor():String;

  function set outlineColor(value:String):void;

  function get outlineStyle():String;

  function set outlineStyle(value:String):void;

  function get outlineWidth():String;

  function set outlineWidth(value:String):void;

  function get overflow():String;

  function set overflow(value:String):void;

  function get padding():String;

  function set padding(value:String):void;

  function get paddingTop():String;

  function set paddingTop(value:String):void;

  function get paddingRight():String;

  function set paddingRight(value:String):void;

  function get paddingBottom():String;

  function set paddingBottom(value:String):void;

  function get paddingLeft():String;

  function set paddingLeft(value:String):void;

  function get page():String;

  function set page(value:String):void;

  function get pageBreakAfter():String;

  function set pageBreakAfter(value:String):void;

  function get pageBreakBefore():String;

  function set pageBreakBefore(value:String):void;

  function get pageBreakInside():String;

  function set pageBreakInside(value:String):void;

  function get pause():String;

  function set pause(value:String):void;

  function get pauseAfter():String;

  function set pauseAfter(value:String):void;

  function get pauseBefore():String;

  function set pauseBefore(value:String):void;

  function get pitch():String;

  function set pitch(value:String):void;

  function get pitchRange():String;

  function set pitchRange(value:String):void;

  function get playDuring():String;

  function set playDuring(value:String):void;

  function get position():String;

  function set position(value:String):void;

  function get quotes():String;

  function set quotes(value:String):void;

  function get richness():String;

  function set richness(value:String):void;

  function get right():String;

  function set right(value:String):void;

  function get size():String;

  function set size(value:String):void;

  function get speak():String;

  function set speak(value:String):void;

  function get speakHeader():String;

  function set speakHeader(value:String):void;

  function get speakNumeral():String;

  function set speakNumeral(value:String):void;

  function get speakPunctuation():String;

  function set speakPunctuation(value:String):void;

  function get speechRate():String;

  function set speechRate(value:String):void;

  function get stress():String;

  function set stress(value:String):void;

  function get tableLayout():String;

  function set tableLayout(value:String):void;

  function get textAlign():String;

  function set textAlign(value:String):void;

  function get textDecoration():String;

  function set textDecoration(value:String):void;

  function get textIndent():String;

  function set textIndent(value:String):void;

  function get textShadow():String;

  function set textShadow(value:String):void;

  function get textTransform():String;

  function set textTransform(value:String):void;

  function get top():String;

  function set top(value:String):void;

  function get unicodeBidi():String;

  function set unicodeBidi(value:String):void;

  function get verticalAlign():String;

  function set verticalAlign(value:String):void;

  function get visibility():String;

  function set visibility(value:String):void;

  function get voiceFamily():String;

  function set voiceFamily(value:String):void;

  function get volume():String;

  function set volume(value:String):void;

  function get whiteSpace():String;

  function set whiteSpace(value:String):void;

  function get widows():String;

  function set widows(value:String):void;

  function get width():String;

  function set width(value:String):void;

  function get wordSpacing():String;

  function set wordSpacing(value:String):void;

  function get zIndex():String;

  function set zIndex(value:String):void;

  function get opacity():String;

  function set opacity(value:String):void;

  function get filter():String;

  function set filter(value:String):void;

  function get WebkitTransform():String;

  function set WebkitTransform(value:String):void;
}
}