package js {

[Native("Document")]
public class Document extends js.Node {
  public native function get compatMode():String;

  public native function get designMode():String;

  public native function set designMode(onOrOff:String):void;

  public native function execCommand(commandName:String, showDefaultUI:Boolean = true, valueArgument:* = null):void;

  public native function get defaultView():js.Window;

  public native function get parentWindow():js.Window;

  public native function get documentElement():js.Element;

  public native function get body():js.Element;

  public native function get title():String;

  public native function set title(title:String):void;

  public native function get forms():js.HTMLCollection;

  public native function get cookie():String;

  public native function set cookie(value:String):void;

  public native function createElement(name:String):js.Element;

  public native function createTextNode(text:String):js.Text;

  public native function createComment(comment:String):js.Node;

  public native function getElementById(id:String):js.Element;

  public native function getElementsByName(name:String):js.HTMLCollection;

  public native function write(text:String):void;

  public native function open():void;

  public native function close():void;

  public native function createEvent(eventType:String):js.Event;

  public native function createEventObject(templateEvent:js.Event):js.Event;

  public native function dispatchEvent(event:js.Event):void;

  public native function get location():js.Location;

  public native function createRange():js.Range;

  public native function createDocumentFragment():js.Node;

  public native function getSelection():js.Selection;
}
}