package js {

/**
 * Events that occur due to the user interacting with a pointing device (such as a mouse). Common events using this
 * interface include click, dblclick, mouseup, mousedown.
 */
[Native("MouseEvent")]
public class MouseEvent extends js.UIEvent {
  public native function get button():uint;

  public native function get buttons():uint;

  public native function get movementX():Number;

  public native function get movementY():Number;

  public native function get offsetX():Number;

  public native function get offsetY():Number;

  public native function get x():Number;

  public native function get y():Number;

  public native function getModifierState(keyArg:String):Boolean;
}
}